Project

General

Profile

Bug #3967

GIT HEAD: Failed to compile due to failing to compile ffmpeg

Added by Anonymous about 6 years ago. Updated about 6 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
General
Target version:
-
Start date:
2015-01-05
Due date:
% Done:

0%

Estimated time:
Found in version:
GIT HEAD (06.09.2016)
Affected Versions:

Description

The latest GIT version (06.09.2016) does not compile, because the ffmpeg library, which was downloaded, does not find "libfdk_aac". Is there an environment var, which needs to be defined ?

Regards,
Tom

FAILED TO DOWNLOAD https://dl.bintray.com/tvheadend/misc/staticlib//amd64/ffmpeg-bee01054cd0e5550d3166ad37719a156de27bbc9.tgz (BUT THIS IS NOT A FATAL ERROR! DO NOT REPORT THAT!)
cd /usr/src/tvheadend/build.linux/ffmpeg/ffmpeg-3.1 && FFMPEG_PREFIX=/usr/src/tvheadend/build.linux/ffmpeg/build/ffmpeg PKG_CONFIG=/usr/src/tvheadend/support/pkg-config.ffmpeg ./configure --prefix=/ffmpeg --enable-static --disable-shared \
--disable-all \
--enable-gpl \
--extra-cflags="-I/usr/src/tvheadend/build.linux/ffmpeg/build/ffmpeg/include -fPIE" \
--extra-libs="-L/usr/src/tvheadend/build.linux/ffmpeg/build/ffmpeg/lib -ldl" \
--pkg-config="/usr/src/tvheadend/support/pkg-config.ffmpeg" \
--enable-avutil --enable-avcodec --enable-avformat --enable-swscale --enable-avresample --enable-swresample --enable-avfilter \
--enable-libx264 --enable-libx265 --enable-libvpx --enable-libtheora --enable-libvorbis --enable-libfdk-aac --enable-nonfree \
--enable-protocol=file \
--enable-decoder=mpeg2video --enable-decoder=mp2 --enable-decoder=aac --enable-decoder=vorbis --enable-decoder=ac3 --enable-decoder=eac3 --enable-decoder=aac_latm --enable-decoder=h264 --enable-decoder=hevc --enable-decoder=libvorbis \
--enable-encoder=mpeg2video --enable-encoder=mp2 --enable-encoder=aac --enable-encoder=vorbis --enable-encoder=libx264 --enable-encoder=libx265 --enable-encoder=libvpx_vp8 --enable-encoder=libvpx_vp9 --enable-encoder=libtheora --enable-encoder=libvorbis --enable-encoder=libfdk_aac \
--enable-muxer=mpegts --enable-muxer=mpeg2dvd --enable-muxer=matroska --enable-muxer=webm --enable-muxer=mp4 --enable-muxer=ogg \
--enable-bsf=h264_mp4toannexb --enable-bsf=hevc_mp4toannexb \
--enable-filter=yadif --enable-filter=scale --enable-filter=null --enable-filter=aresample --enable-filter=anull
ERROR: libfdk_aac not found

If you think configure made a mistake, make sure you are using the latest
version from Git. If the latest version fails, report the problem to the
mailing list or IRC #ffmpeg on irc.freenode.net.
Include the log file "config.log" produced by configure as this will help
solve the problem.
make1: * [/usr/src/tvheadend/build.linux/ffmpeg/ffmpeg-3.1/.tvh_build] Error 1
make1: Leaving directory `/usr/src/tvheadend'
make: *
[/usr/src/tvheadend/build.linux/ffmpeg/build/ffmpeg/lib/libavcodec.a] Error 2


Files

patch_3.4.diff (7.91 KB) patch_3.4.diff Patch based on tvheadend 3.4 M H, 2015-01-05 23:06
webui.png (114 KB) webui.png Screenshot from webui in tvheadend 3.4 M H, 2015-01-05 23:07
pre.sh (137 Bytes) pre.sh Shell-Script in order to set power-management to max performance before subscription starts M H, 2015-01-05 23:08
post.sh (132 Bytes) post.sh Shell-Script in order to set power-management back to preferred mode after last subscription ends M H, 2015-01-05 23:08

Related issues

Copied from Feature #2596: 3.4: On-demand configuration of power-managementNew2015-01-05

Actions

History

#1

Updated by Anonymous about 6 years ago

  • Copied from Feature #2596: 3.4: On-demand configuration of power-management added
#2

Updated by Anonymous about 6 years ago

26.09.2016: TVHEADEND GIT HEAD still does not compile. It fails with an error, that libfdk is not found. libfdk has been donwloaded and compiled: but is is not found. See log:

make2: Leaving directory `/usr/src/tvheadend/build.linux/ffmpeg/fdk-aac-0.1.4'
WGET http://ffmpeg.org/releases/ffmpeg-3.1.tar.bz2
2016-09-26 16:15:41 URL:http://ffmpeg.org/releases/ffmpeg-3.1.tar.bz2 [9329359/9329359] -> "/usr/src/tvheadend/build.linux/ffmpeg/ffmpeg-3.1.tar.bz2" [1]
SHA1SUM test '63cb1934dc2aab93b8fe01728a7f8cc388a9b532' == '63cb1934dc2aab93b8fe01728a7f8cc388a9b532': OK
UNTAR ffmpeg-3.1.tar.bz2
cd /usr/src/tvheadend/build.linux/ffmpeg/ffmpeg-3.1 && FFMPEG_PREFIX=/usr/src/tvheadend/build.linux/ffmpeg/build/ffmpeg PKG_CONFIG=/usr/src/tvheadend/support/pkg-config.ffmpeg ./configure --prefix=/ffmpeg --enable-static --disable-shared \
--disable-all \
--enable-gpl \
--extra-cflags="-I/usr/src/tvheadend/build.linux/ffmpeg/build/ffmpeg/include -fPIE" \
--extra-libs="-L/usr/src/tvheadend/build.linux/ffmpeg/build/ffmpeg/lib -ldl" \
--pkg-config="/usr/src/tvheadend/support/pkg-config.ffmpeg" \
--enable-avutil --enable-avcodec --enable-avformat --enable-swscale --enable-avresample --enable-swresample --enable-avfilter \
--enable-libx264 --enable-libx265 --enable-libvpx --enable-libtheora --enable-libvorbis --enable-libfdk-aac --enable-nonfree \
--enable-protocol=file \
--enable-decoder=mpeg2video --enable-decoder=mp2 --enable-decoder=aac --enable-decoder=vorbis --enable-decoder=ac3 --enable-decoder=eac3 --enable-decoder=aac_latm --enable-decoder=h264 --enable-decoder=hevc --enable-decoder=libvorbis \
--enable-encoder=mpeg2video --enable-encoder=mp2 --enable-encoder=aac --enable-encoder=vorbis --enable-encoder=libx264 --enable-encoder=libx265 --enable-encoder=libvpx_vp8 --enable-encoder=libvpx_vp9 --enable-encoder=libtheora --enable-encoder=libvorbis --enable-encoder=libfdk_aac \
--enable-muxer=mpegts --enable-muxer=mpeg2dvd --enable-muxer=matroska --enable-muxer=webm --enable-muxer=mp4 --enable-muxer=ogg \
--enable-bsf=h264_mp4toannexb --enable-bsf=hevc_mp4toannexb \
--enable-filter=yadif --enable-filter=scale --enable-filter=null --enable-filter=aresample --enable-filter=anull
ERROR: libfdk_aac not found

If you think configure made a mistake, make sure you are using the latest
version from Git. If the latest version fails, report the problem to the
mailing list or IRC #ffmpeg on irc.freenode.net.
Include the log file "config.log" produced by configure as this will help
solve the problem.
make1: * [/usr/src/tvheadend/build.linux/ffmpeg/ffmpeg-3.1/.tvh_build] Error 1
make1: Leaving directory `/usr/src/tvheadend'
make: *
[/usr/src/tvheadend/build.linux/ffmpeg/build/ffmpeg/lib/libavcodec.a] Error 2

Also available in: Atom PDF